Bug 243669 - Review Request: pfqueue - Queue manager for the Postfix/Exim Mail Transport Agents
Review Request: pfqueue - Queue manager for the Postfix/Exim Mail Transport A...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-06-11 08:03 EDT by Michael Fleming
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-18 06:04:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Michael Fleming 2007-06-11 08:03:39 EDT
Spec URL: http://www.thatfleminggent.com/fedorasubs/pfqueue.spec
SRPM URL: http://www.thatfleminggent.com/fedorasubs/pfqueue-0.5.6-1.fc7.mf.src.rpm

pfqueue is a console application for managing mail queues used by the Postfix or Exim mail transport agents.
Comment 1 manuel wolfshant 2007-06-11 11:11:07 EDT
Just built the package in mock and there seem to be a couple of issues.
1. Naming: please drop the extra "mf" after %dist. See
2. According to rpmlint, the binary seems to have problems:

[wolfy@wolfy64 result]$ rpmlint pfqueue-0.5.6-1.fc7.mf.x86_64.rpm
W: pfqueue devel-file-in-non-devel-package /usr/lib64/libpfq_exim.so
W: pfqueue devel-file-in-non-devel-package /usr/lib64/libpfqueue.so
W: pfqueue devel-file-in-non-devel-package /usr/lib64/libpfq_postfix2.so
W: pfqueue devel-file-in-non-devel-package /usr/lib64/libpfq_socket.so
W: pfqueue devel-file-in-non-devel-package /usr/lib64/libpfq_postfix1.so
E: pfqueue binary-or-shlib-defines-rpath /usr/bin/pfqueue ['/usr/lib64']
E: pfqueue binary-or-shlib-defines-rpath /usr/bin/spfqueue ['/usr/lib64']

The so files probably are libs called by the binary, but I think that the rpath
stuff is not OK. Please see

Comment 2 Michael Fleming 2007-06-13 09:08:22 EDT
I'll drop the .mf on import, no problem - these are coming from my own repo and
are being used  there as a "testbed"

You are correct re: the shared libs are actually dlopen()ed by the application
and are used to handle the different Postfix or Exim (including over remote
socket) queue types.

I've fixed the rpath issues (verified here) - see..


..for new improved releases.
Comment 3 manuel wolfshant 2007-06-13 10:19:03 EDT
Package Review

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [!] Package meets the Packaging Guidelines.
Release tag must be changed (.mf dropped)
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on:FC6 & devel, x86_64 and Centos4/i386
 [x] Rpmlint output:
W: pfqueue devel-file-in-non-devel-package /usr/lib64/libpfq_exim.so
W: pfqueue devel-file-in-non-devel-package /usr/lib64/libpfqueue.so
W: pfqueue devel-file-in-non-devel-package /usr/lib64/libpfq_postfix2.so
W: pfqueue devel-file-in-non-devel-package /usr/lib64/libpfq_socket.so
W: pfqueue devel-file-in-non-devel-package /usr/lib64/libpfq_postfix1.so
All these can be ignored, the files are not devel libs but dlopened at runtime.
Since they are small, there is no point in separating -exim and -postfix files
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPL
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: 29fc58eab31b1a6225bda1205f155ed5cfb951b2 
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [x] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
 [x] Package does not own files or directories owned by other packages.

 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: Centos/i386, FC6/x86_64, devel/x86_64
 [x] Package should compile and build into binary rpms on all supported
     Tested on: Centos/i386, FC6/x86_64, devel/x86_64
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [x] File based requires are sane.

=== Issues ===
1. Source tag should be changed to the more reliable
http://downloads.sourceforge.net/pfqueue/%{name}-%{version}.tar.gz. The one
currently used consistently fails for me
2. The ".mf" part of the release tag should be removed
3. Please drop the INSTALL file from %doc. It contains generic installation
instructions which are useless for those using the binary rpm

=== Final Notes ===

*** APPROVED ***

Comment 4 Michael Fleming 2007-06-17 04:57:36 EDT
New Package CVS Request
Package Name: pfqueue
Short Description:  Queue manager for the Postfix/Exim Mail Transport Agents
Owners: mfleming+rpm@enlartenment.com
Branches: F-7 FC-6 EL-4 EL-5
Comment 5 Kevin Fenzi 2007-06-18 00:44:28 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.